interface Props {
  children: HTMLElement;
  title: string;
  scriptPaths: string[];
  stylePaths: string[];
}

export default function Root(props: Props) {
  const { children, title, scriptPaths, stylePaths } = props;

  return (
    <html lang="en">
      <head>
        <title>{title}</title>
        {stylePaths.map((path) => (
          <link rel="stylesheet" href={path} />
        ))}
        {scriptPaths.map((path) => (
          <script src={path} />
        ))}
      </head>
      <body>{children}</body>
    </html>
  );
}
